Index: experimental/distortionNG/distortionNG.sln
===================================================================
--- experimental/distortionNG/distortionNG.sln	(revision 414)
+++ experimental/distortionNG/distortionNG.sln	(revision 431)
@@ -2973,112 +54,4 @@
 		{5A40C2C2-1D46-490F-AEA1-AB569BD5714A} = {D149D2A2-00E2-4341-8B55-D286EC183362}
 		{2EAF5B2C-782D-4ECC-873A-06CB4310FA60} = {D149D2A2-00E2-4341-8B55-D286EC183362}
-		{7994B7F6-11C0-4FBB-A6BD-E9E2C53F25C2} = {72A62150-99E9-46AF-9A82-645E9E1CCC65}
-		{4DD375A0-9330-4081-95CF-A7893335431C} = {72A62150-99E9-46AF-9A82-645E9E1CCC65}
-		{079AA557-4EEF-4374-A799-89CBC79AB00B} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{BC2BDEB0-9D43-4441-8B4E-6DC3D8D18B85} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{1FDABFC8-F159-4F4E-98EF-C3224762C76C} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{3A7A35B6-C064-4DA9-B8A5-86E9DBD84B81} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{525CD487-6319-4BBB-8064-7BB3DF8E55B1} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{A72C3384-F513-48BC-B006-1A177096406E} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{E1B444B9-C0D6-4B99-9376-A91F97F83508} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{9544040C-08ED-425B-8C63-2BF24A3DE480} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{4DCB9420-2DAB-4CA0-ACEB-DC3784C1690E} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{E187D92D-EE25-4BF9-AD4F-7D34420CD500} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{6B5BC900-78EA-4DA4-923D-778E742DBBE1} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{6C1D7453-174C-4DB1-A2B7-EF3CFA2539AC} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{BB6443B7-DEB3-438D-B632-8BECE731FF63} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{1546B2D5-A7E4-43DF-9E06-9A1C8FDF2F35} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{D8844EAD-14AB-474E-95CE-39E174A13B4A} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{F72F3A6B-D591-45F4-85A4-D96F35697C78} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{466E0BD1-30F1-47CB-A671-FCA2F9E47065} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{8F0BDFB3-DBAC-4E26-9153-191CBB837535} = {F0D73585-95A4-40DB-81C2-A368DA080289}
-		{12662F54-08CC-4266-9C18-7CD1A5E8330D} = {1C2BD278-817D-496B-A9AC-40ED6E74DE7D}
-		{9F7387EF-6E88-4835-8B80-932E2AAE6E41} = {1C2BD278-817D-496B-A9AC-40ED6E74DE7D}
-		{00DB7544-7889-4DB8-9B61-97C4A85B106F} = {1C2BD278-817D-496B-A9AC-40ED6E74DE7D}
-		{60484300-0BB7-4039-B2C0-1C9B9CCEAE70} = {1C2BD278-817D-496B-A9AC-40ED6E74DE7D}
-		{DA7E0F1F-7330-4C7F-834A-B14CE88BA928} = {1C2BD278-817D-496B-A9AC-40ED6E74DE7D}
-		{881CDB4A-E226-4237-B594-419BC5A4C1CC} = {1C2BD278-817D-496B-A9AC-40ED6E74DE7D}
-		{A3E1D299-9C9C-41A7-BAD6-E4CA6BB94F87} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{6CC8FD24-855B-4AD2-BBE4-307220BF20B9} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E0B5AC45-2A30-47EC-A8D1-9F5E39E30DDC} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{67229906-68E3-4BAB-B96A-63969B6CEB0C} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{5A9056AD-7B2F-40AA-9AB3-942EC1325706} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{F513FD6B-CD4A-469A-A1BF-49102C5332B3} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{0EA493C8-D98E-498D-ADAB-8122420B13D4} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{127417CA-8226-4F6A-9736-23860143E04D} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{FCD24681-8585-4143-86D7-03560032F45F} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{9AB9DDA1-12E9-4DFB-93B3-C5077F3F9D1F} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{F1BF0D4C-6BB3-4B38-BEBC-6C6A5ECC6EE6} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{87AE6D8D-8031-40F0-BDE7-0463F308E6C9} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{D5E8C165-6D51-48A4-A129-7371971E7F79} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{A93AC96C-1757-4717-BE14-3613D86C7092} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{353017C6-7144-4801-AFCF-5BFCEE97D5CF} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{C2AACC0E-931D-4297-835A-4848D7280F98} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E57FE246-74FE-42A2-9242-AF8C5AC1DEE2} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E45F9CA0-714D-48FB-8A60-AE2F5CFB2698} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{21661501-99DA-4329-9E62-3B3A1CC9F026} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E3D43D1F-039F-49BB-BAAD-6EB0C6B28182} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{FC4EF42D-D0C1-49C1-8AED-05343E94467D} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{DCF86F50-3DD0-4297-846F-AC6BF0A86AA4} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{A7D97781-3E90-453A-B7A4-52237DFA6BC0} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{8F924BD7-D897-46FE-8A17-8E7B51A39F36} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{4022194D-5DBA-4B1B-9FF4-F7E5C0CD9155} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{74EDC3F1-BC47-4F8C-BBB1-A978CC014E64} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{13803ABE-CD2A-4076-93A9-C3858CDFA895} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{CB48FF60-2317-4E1B-A734-D60BD8BD8D2C} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{6E900B2B-E512-4921-BDDB-AFA5455CBCF8} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{962B487F-DB79-439F-9B82-4C715D760308} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{99D6CC58-9F87-4673-8056-69CD98D383FD} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{259FF2F1-2689-4D27-A9F3-C1AD89FF7EA3} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{7A3FCC3F-581C-41D9-B2DD-272DC5E4ABD2} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{F9C271EC-3D96-49E7-A4D2-6C858AE4F745} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{AFE545F5-189D-4A48-8BDA-636D0C288C32} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{838ACA8C-E293-44F3-B28B-E4784C3DB8C9} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{43F23DC3-B6B2-4F49-8F99-9877364323AF} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{BDD6EE65-3C2E-4394-9C8B-AD9D996C5CCA} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{17418B6A-B2C2-4DB7-A39B-DFCC7CABDA6E} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{62284604-B5A2-479D-B875-4D7B67BB064D} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{7BD7769B-352E-4F8D-9C30-02DE4EF1A2EA} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{107815CB-9049-4CDF-8E2A-6EC55A6B70E6} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{1A55BB03-BAAD-4D21-8BD0-ADCB46782A49} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{8973E6CB-3EA2-4F34-AB78-482955CA58A6} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{2883E16F-6757-4233-9B50-516EF9CD29F4} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{C98F4890-74D1-4360-996D-C4D0B5735BC0} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{5A9A2584-8D50-462F-A0F6-D58326D9BA36} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{7C6360A0-F62A-45EC-95F4-2150224886CF} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{D959FF31-10EE-44A7-9B9F-7C9264582261} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{07BF763B-8C57-4986-BF65-09EFBB009108} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{CA257EEF-B8DA-43FB-B04E-EC2D3DEF98B5} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{9B868734-C0B8-4DD9-9C4B-418031768359} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{7D7B59F7-C2E5-474A-89F0-3836D1734CEC} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{06F32E27-F7CE-4D8A-B7A6-FFF36D990F82} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{8766BD91-7988-40BD-96AF-6BFEC9BE32D4} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{8E4CD1CC-FC2E-4286-8A8A-C01C744016E2} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{471E1E22-6F1E-4E57-9AB5-802312A9642F} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E8B78BF5-3997-42D9-953C-931728047AFB} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{4C5220DC-5DEF-47FD-B2B3-5336AD60B230} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E60964C4-F4FC-445C-9F82-6E0E3D06FD39} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{A65FD35A-0F9B-4E03-B527-82047387F8CC} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{1DFC713E-7462-4832-BA01-A3C405F5C275} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{51887F8C-1078-439A-A8FB-BAAE196B6ED9} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{B32F415D-7587-45DF-A145-2674AF79E39E} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{76F86E85-40DC-42C4-A34B-E6DB05C773D6} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{ADE3ED2D-220B-44FF-A4F0-00D183C95C82} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{0203FEA4-D71D-49BF-802F-9A64110B4818} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{F653B9CA-699B-4792-B639-3173B73819C5} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{7EA384B8-BC4C-475F-833F-78B0D08624BD} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E8AEEAFB-DB36-483A-99C8-3DD8721D685E} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{5C321BEE-87F4-4C9A-8459-B13071D97BB6} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{CC19F527-C6B3-4B08-9A5B-8631B1C64208} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{24624D31-A9D1-43F3-B271-E92F8F4E47BA} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{1F18291B-AD72-4391-B365-22FFF11ECE72} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{397977F6-63A6-445D-8CD9-9B94EAA3ADE7} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{C9EA9C91-2420-4549-9F63-60BD89D48047} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{FF69A500-B605-4976-85E0-E408E0ABD37E} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{E037B416-2E80-4F80-AA3C-10E2B82DB55C} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{4705F8C3-3ED2-4FE0-BD73-56BFD79666EE} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{D7BCC06D-9AD3-4848-9F65-2AD23BFAD190} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{02019BA1-7560-4F3A-B146-FF0F6B551747} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
-		{8D51FA11-86FB-41CC-A106-1F1E216E2A61} = {6426C9B8-99D7-4971-A56E-657BD6EA603C}
 	EndGlobalSection
 EndGlobal
Index: experimental/distortionNG/distortionNG.vcxproj
===================================================================
--- experimental/distortionNG/distortionNG.vcxproj	(revision 431)
+++ experimental/distortionNG/distortionNG.vcxproj	(revision 431)
@@ -0,0 +1,203 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <ItemGroup Label="ProjectConfigurations">
+    <ProjectConfiguration Include="Debug|Win32">
+      <Configuration>Debug</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Debug|x64">
+      <Configuration>Debug</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|Win32">
+      <Configuration>Release</Configuration>
+      <Platform>Win32</Platform>
+    </ProjectConfiguration>
+    <ProjectConfiguration Include="Release|x64">
+      <Configuration>Release</Configuration>
+      <Platform>x64</Platform>
+    </ProjectConfiguration>
+  </ItemGroup>
+  <PropertyGroup Label="Globals">
+    <ProjectGuid>{5A40C2C2-1D46-490F-AEA1-AB569BD5714A}</ProjectGuid>
+    <RootNamespace>distortionNG</RootNamespace>
+    <Keyword>Win32Proj</Keyword>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <PlatformToolset>v110</PlatformToolset>
+    <CharacterSet>Unicode</CharacterSet>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <PlatformToolset>v110</PlatformToolset>
+    <CharacterSet>Unicode</CharacterSet>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <PlatformToolset>v110</PlatformToolset>
+    <CharacterSet>Unicode</CharacterSet>
+    <WholeProgramOptimization>true</WholeProgramOptimization>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
+    <ConfigurationType>Application</ConfigurationType>
+    <PlatformToolset>v110</PlatformToolset>
+    <CharacterSet>Unicode</CharacterSet>
+  </PropertyGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
+  <ImportGroup Label="ExtensionSettings">
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
+    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
+  </ImportGroup>
+  <PropertyGroup Label="UserMacros" />
+  <PropertyGroup>
+    <_ProjectFileVersion>11.0.60610.1</_ProjectFileVersion>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <OutDir>$(SolutionDir)$(Configuration)\</OutDir>
+    <IntDir>$(Configuration)\</IntDir>
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
+    <IntDir>$(Platform)\$(Configuration)\</IntDir>
+    <LinkIncremental>true</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <OutDir>$(SolutionDir)$(Configuration)\</OutDir>
+    <IntDir>$(Configuration)\</IntDir>
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
+    <IntDir>$(Platform)\$(Configuration)\</IntDir>
+    <LinkIncremental>false</LinkIncremental>
+  </PropertyGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
+    <ClCompile>
+      <Optimization>Disabled</Optimization>
+      <AdditionalIncludeDirectories>$(OSG_ROOT)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild>false</MinimalRebuild>
+      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
+      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
+      <PrecompiledHeader />
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
+    </ClCompile>
+    <Link>
+      <AdditionalDependencies>OpenThreadsd.lib;osgd.lib;osgDBd.lib;osgUtild.lib;osgGAd.lib;osgViewerd.lib;osgTextd.lib;osgTerraind.lib;opengl32.lib;D:\OpenSceneGraph\3rdParty_x86_x64\x64\lib\zlibD.lib;%(AdditionalDependencies)</AdditionalDependencies>
+      <AdditionalLibraryDirectories>$(OSG_ROOT)\lib\;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <SubSystem>Console</SubSystem>
+      <TargetMachine>MachineX86</TargetMachine>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <Midl>
+      <TargetEnvironment>X64</TargetEnvironment>
+    </Midl>
+    <ClCompile>
+      <Optimization>Disabled</Optimization>
+      <AdditionalIncludeDirectories>$(OSG_ROOT)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <MinimalRebuild>false</MinimalRebuild>
+      <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
+      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
+      <PrecompiledHeader />
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+    <Link>
+      <AdditionalDependencies>OpenThreadsd.lib;osgd.lib;osgDBd.lib;osgUtild.lib;osgGAd.lib;osgViewerd.lib;osgTextd.lib;osgTerraind.lib;opengl32.lib;D:\OpenSceneGraph\3rdParty_x86_x64\x64\lib\zlibD.lib;%(AdditionalDependencies)</AdditionalDependencies>
+      <AdditionalLibraryDirectories>$(OSG_ROOT)\lib\;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <SubSystem>Console</SubSystem>
+      <TargetMachine>MachineX64</TargetMachine>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
+    <ClCompile>
+      <Optimization>MaxSpeed</Optimization>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <AdditionalIncludeDirectories>$(OSG_ROOT)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <PrecompiledHeader />
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+    <Link>
+      <AdditionalDependencies>OpenThreads.lib;osg.lib;osgDB.lib;osgUtil.lib;osgGA.lib;osgViewer.lib;osgText.lib;osgTerrain.lib;opengl32.lib;D:\OpenSceneGraph\3rdParty_x86_x64\x64\lib\zlib.lib;%(AdditionalDependencies)</AdditionalDependencies>
+      <AdditionalLibraryDirectories>$(OSG_ROOT)\lib\;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <SubSystem>Console</SubSystem>
+      <OptimizeReferences>true</OptimizeReferences>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <TargetMachine>MachineX86</TargetMachine>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
+    <Midl>
+      <TargetEnvironment>X64</TargetEnvironment>
+    </Midl>
+    <ClCompile>
+      <Optimization>MaxSpeed</Optimization>
+      <IntrinsicFunctions>true</IntrinsicFunctions>
+      <AdditionalIncludeDirectories>$(OSG_ROOT)\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
+      <FunctionLevelLinking>true</FunctionLevelLinking>
+      <PrecompiledHeader />
+      <WarningLevel>Level3</WarningLevel>
+      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
+    </ClCompile>
+    <Link>
+      <AdditionalDependencies>OpenThreads.lib;osg.lib;osgDB.lib;osgUtil.lib;osgGA.lib;osgViewer.lib;osgText.lib;osgTerrain.lib;opengl32.lib;D:\OpenSceneGraph\3rdParty_x86_x64\x64\lib\zlib.lib;%(AdditionalDependencies)</AdditionalDependencies>
+      <AdditionalLibraryDirectories>$(OSG_ROOT)\lib\;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
+      <GenerateDebugInformation>true</GenerateDebugInformation>
+      <SubSystem>Console</SubSystem>
+      <OptimizeReferences>true</OptimizeReferences>
+      <EnableCOMDATFolding>true</EnableCOMDATFolding>
+      <TargetMachine>MachineX64</TargetMachine>
+    </Link>
+  </ItemDefinitionGroup>
+  <ItemGroup>
+    <ClCompile Include="DistortionManipulator.cpp" />
+    <ClCompile Include="DistortionSet.cpp" />
+    <ClCompile Include="DistortionSetupStrategy.cpp" />
+    <ClCompile Include="DistortionSetupStrategyProjectionDesigner.cpp" />
+    <ClCompile Include="DistortionSetupStrategyProjectSyntropy.cpp" />
+    <ClCompile Include="extViewer.cpp" />
+    <ClCompile Include="main.cpp" />
+  </ItemGroup>
+  <ItemGroup>
+    <ClInclude Include="DistortionManipulator.h" />
+    <ClInclude Include="DistortionSet.h" />
+    <ClInclude Include="DistortionSetupStrategy.h" />
+    <ClInclude Include="DistortionSetupStrategyProjectionDesigner.h" />
+    <ClInclude Include="DistortionSetupStrategyProjectSyntropy.h" />
+    <ClInclude Include="extViewer.h" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="shader.vert" />
+    <None Include="shaderIntensityMap.frag" />
+    <None Include="shaderIntensityMapVis.frag" />
+  </ItemGroup>
+  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
+  <ImportGroup Label="ExtensionTargets">
+  </ImportGroup>
+</Project>
